//==============================================================================
//
//   UnificationException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: UnificationException.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

/*
 * $Id: UnificationException.java,v 1.2 2003/08/02 09:19:29 holleis Exp $
 */
package org.graffiti.attributes;

/**
 * Thrown in the context of unification failures (e.g.: during the merge of two
 * collection attributes in an <code>addAttributeConsumer</code> call).
 *
 * @version $Revision: 1.2 $
 */
public class UnificationException
    extends Exception
{
    //~ Constructors ===========================================================

    /**
     * Constructor for UnificationException.
     *
     * @param arg0
     */
    public UnificationException(String arg0)
    {
        super(arg0);
    }

    /**
     * Constructor for UnificationException.
     *
     * @param arg0
     */
    public UnificationException(Throwable arg0)
    {
        super(arg0);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
