//==============================================================================
//
//   ListenerRegistrationException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ListenerRegistrationException.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

package org.graffiti.event;

/**
 * In general, the exception is used to indicate that a listener could not be
 * registered. Will be thrown, if someone tries to add a strict listener while
 * the same listener is already registered as non strict or vice versa.
 *
 * @version $Revision: 1.2 $
 */
public class ListenerRegistrationException
    extends RuntimeException
{
    //~ Constructors ===========================================================

    /**
     * Constructs a <code>ListenerRegistrationException</code>  with the
     * specified detail message.
     *
     * @param msg the detail message for the exception.
     */
    public ListenerRegistrationException(String msg)
    {
        super(msg);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
