//==============================================================================
//
//   PopupAction.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: PopupAction.java,v 1.2 2003/08/02 09:19:56 holleis Exp $

package org.graffiti.plugin.actions;

import java.awt.event.ActionEvent;

import java.util.List;

import org.graffiti.editor.MainFrame;

import org.graffiti.help.HelpContext;

/**
 * Represents an action, which is called, if there should be displayed a popup
 * menu.
 *
 * @version $Revision: 1.2 $
 */
public class PopupAction
    extends SelectionAction
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new popup action.
     *
     * @param mainFrame DOCUMENT ME!
     */
    public PopupAction(MainFrame mainFrame)
    {
        super("action.popup", mainFrame);
    }

    //~ Methods ================================================================

    /**
     * Returns the help context for the action.
     *
     * @return HelpContext, the help context for the action
     */
    public HelpContext getHelpContext()
    {
        return null; // TODO
    }

    /**
     * Returns the name of this action.
     *
     * @return String, the name
     */
    public String getName()
    {
        return null; // TODO
    }

    /**
     * Executes this action.
     *
     * @param e DOCUMENT ME!
     */
    public void actionPerformed(ActionEvent e)
    {
    }

    /**
     * Sets the internal <code>enable</code> flag, which depends on the given
     * list of selected items.
     *
     * @param items the items, which determine the internal state of the
     *        <code>enable</code> flag.
     */
    protected void enable(List items)
    {
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
