//==============================================================================
//
//   EdgeAttributeCreator.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: EdgeAttributeCreator.java,v 1.3 2004/04/11 09:54:29 schnoy Exp $

package org.graffiti.plugins.ios.importers.graphml.parser;

import org.graffiti.attributes.CollectionAttribute;

import org.graffiti.graphics.EdgeGraphicAttribute;

/**
 * Class <code>EdgeAttributeCreator</code> is used for reading
 * <code>Edge</code> attributes.
 *
 * @author ruediger
 */
class EdgeAttributeCreator
    extends AttributeCreator
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>EdgeAttributeCreator</code>.
     */
    EdgeAttributeCreator()
    {
        super();
    }

    //~ Methods ================================================================

    /*
     *
     */
    CollectionAttribute createDefaultAttribute()
    {
        return new EdgeGraphicAttribute();
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
