//==============================================================================
//
//   InstanceCreationException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: InstanceCreationException.java,v 1.2 2003/08/02 09:19:28 holleis Exp $

package org.graffiti.util;

/**
 * An exception, which is thrown, iff the instanciation of a given class fails.
 *
 * @version $Revision: 1.2 $
 */
public class InstanceCreationException
    extends Exception
{
    //~ Constructors ===========================================================

    /**
     * Creates a new InstanceCreationException object.
     *
     * @param msg DOCUMENT ME!
     */
    public InstanceCreationException(String msg)
    {
        super(msg);
    }

    /**
     * Creates a new InstanceCreationException object.
     *
     * @param ex DOCUMENT ME!
     */
    public InstanceCreationException(Exception ex)
    {
        super(ex);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
