//==============================================================================
//
//   AttributeExistsException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: AttributeExistsException.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

package org.graffiti.attributes;

/**
 * The <code>AttributeExistsException</code> will be thrown if a method tries
 * to add an attribute at a location where another attribute already exists.
 *
 * @version $Revision: 1.2 $
 */
public class AttributeExistsException
    extends RuntimeException
{
    //~ Constructors ===========================================================

    /**
     * Constructs an <code>AttributeExistsException</code> with the specified
     * detail message.
     *
     * @param msg the detail message which is saved for later retrieval by the
     *        <code>getMessage()</code> method.
     */
    public AttributeExistsException(String msg)
    {
        super(msg);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
