//==============================================================================
//
//   Dependency.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: Dependency.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

package org.graffiti.managers.pluginmgr;

/**
 * Interface for dependency of a plugin.
 *
 * @version $Revision: 1.2 $
 */
public interface Dependency
{
    //~ Methods ================================================================

    /**
     * Returns the main.
     *
     * @return String
     */
    public String getMain();

    //    /**
    //     * Returns <code>true</code>, if the dependency is satisfied.
    //     */
    //    public abstract boolean isSatisfied();

    /**
     * Returns the name.
     *
     * @return String
     */
    public String getName();
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
